import app from ":virtual/vitebook/app";
import { installURLPattern } from "../shared";
import { initAppContext, RENDERERS_CTX_KEY } from "./context";
import { createRouter } from "./createRouter";
import { findViewRenderer } from "./view/ViewRenderer";
async function mount() {
  await installURLPattern();
  const context = initAppContext();
  const renderers = [];
  context.set(RENDERERS_CTX_KEY, renderers);
  await createRouter({ context, renderers });
  const target = document.getElementById("app");
  const renderer = findViewRenderer(app.id, app.module, renderers);
  renderer?.attach({
    target,
    context,
    module: app.module,
    hydrate: true
  });
  if (import.meta.env.DEV && !import.meta.env.SSR) {
    const styles = document.getElementById("__VBK_SSR_STYLES__");
    styles?.remove();
  }
}
mount();
