const prettyJsonStr = (obj) => JSON.stringify(obj, void 0, 2);
const stripImportQuotesRE = /"\(\) => import\((.+)\)"/g;
function stripImportQuotesFromJson(json) {
  return json.replace(stripImportQuotesRE, `() => import($1)`);
}
function fixRegexInPath(filePath) {
  return filePath.replace(/\(.*\)/, (m) => m.replace(/\//g, "\\"));
}
export {
  fixRegexInPath,
  prettyJsonStr,
  stripImportQuotesFromJson,
  stripImportQuotesRE
};
