function noop() {
}
function safeNotEqual(a, b) {
  return a != a ? b == b : a !== b || a && typeof a === "object" || typeof a === "function";
}
function isUndefined(value) {
  return typeof value === "undefined";
}
function isNull(value) {
  return value === null;
}
function isNumber(value) {
  return value?.constructor === Number && !Number.isNaN(value);
}
function isString(value) {
  return value?.constructor === String;
}
function isBoolean(value) {
  return value?.constructor === Boolean;
}
function isArray(value) {
  return Array.isArray(value);
}
function isFunction(value) {
  return typeof value === "function";
}
const isObject = (val) => Object.prototype.toString.call(val) === "[object Object]";
export {
  isArray,
  isBoolean,
  isFunction,
  isNull,
  isNumber,
  isObject,
  isString,
  isUndefined,
  noop,
  safeNotEqual
};
