const EXTERNAL_URL_RE = /^https?:/i;
const endslash = (str) => /(\.html|\/)$/.test(str) ? str : str + "/";
const slashSplitRE = /(?=\/)/g;
const slashedSplit = (path) => slash(path).split(slashSplitRE);
const slash = (str) => str.replace(/^\/?/, "/");
const noslash = (str) => str.replace(/^\//, "");
const noendslash = (str) => str.replace(/\/$/, "");
const slashes = (str) => slash(noendslash(str));
const isLinkHttp = (link) => /^(https?:)?\/\//.test(link);
const isLinkExternal = (link, base = "/") => {
  if (isLinkHttp(link)) {
    return true;
  }
  if (link.startsWith("/") && !link.startsWith(base)) {
    return true;
  }
  return false;
};
const isLinkMailto = (link) => /^mailto:/.test(link);
const isLinkTel = (link) => /^tel:/.test(link);
const HASH_RE = /#.*$/s;
const QUERY_RE = /\?.*$/s;
const cleanUrl = (url) => url.replace(HASH_RE, "").replace(QUERY_RE, "");
const resolveRoutePathFromUrl = (url, baseUrl = "/") => url.replace(/^(https?:)?\/\/[^/]*/, "").replace(new RegExp(`^${baseUrl}`), "/");
export {
  EXTERNAL_URL_RE,
  HASH_RE,
  QUERY_RE,
  cleanUrl,
  endslash,
  isLinkExternal,
  isLinkHttp,
  isLinkMailto,
  isLinkTel,
  noendslash,
  noslash,
  resolveRoutePathFromUrl,
  slash,
  slashedSplit,
  slashes
};
